Subject: Re: IS-IS Appears More Broken Than Before
From: Mark Tinka <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 30 Apr 2023 15:38:05 +0200

Despite a new release of FRR since my last testing in 2021, IS-IS 
appears to be more broken, with no hopes of it getting any attention.

Will drop back to Quagga.

If anyone is successfully using IS-IS on FRR, I'd be keen to hear.

Mark.

On 3/31/23 09:16, Mark Tinka wrote:
> Hi all.
>
> I posted the below in 2020 about IS-IS in FRR (7.3, at the time):
>
> https://seclists.org/nanog/2020/Apr/226
>
> I gave up and moved back to Quagga with OSPF.
>
> I decided to try again today, with FRR 8.5, on FreeBSD-13.1-RELEASE-p6.
>
> Things seem to have taken a major step back since then. I can't even 
> get an adjacency going with a Cisco IOS XE router:
>
> 2023/03/31 07:12:01 ISIS: [WDVAD-TY6HY] ISIS-LFA: failed to unregister 
> RLFA with LDP
> 2023/03/31 07:12:01 ISIS: [WDVAD-TY6HY] ISIS-LFA: failed to unregister 
> RLFA with LDP
> 2023/03/31 07:12:01 ISIS: [WDVAD-TY6HY] ISIS-LFA: failed to unregister 
> RLFA with LDP
> 2023/03/31 07:12:01 ISIS: [YDRGH-0DJ94] Opened BPF device /dev/bpf0
> 2023/03/31 07:12:01 ISIS: [QJWNQ-3FFKM] BPF buffer len = 4096
> 2023/03/31 07:12:01 ISIS: [V3AHD-XE2Z5] failed to set BPF buffer len 
> (4096 to 9000)
> 2023/03/31 07:12:01 ISIS: [W02G1-H56T1] IS-IS bpf: could not transmit 
> packet on em0: Input/output error
> 2023/03/31 07:12:01 ISIS: [G7ZA5-AT06A][EC 67108865] ISIS-Adj (1): 
> Send L2 IIH on em0 failed
> 2023/03/31 07:12:04 ISIS: [W02G1-H56T1] IS-IS bpf: could not transmit 
> packet on em0: Input/output error
> 2023/03/31 07:12:04 ISIS: [G7ZA5-AT06A][EC 67108865] ISIS-Adj (1): 
> Send L2 IIH on em0 failed
> 2023/03/31 07:12:07 ISIS: [W02G1-H56T1] IS-IS bpf: could not transmit 
> packet on em0: Input/output error
> 2023/03/31 07:12:07 ISIS: [G7ZA5-AT06A][EC 67108865] ISIS-Adj (1): 
> Send L2 IIH on em0 failed
>
> Thoughts?
>
> Mark.